org.gradle.api.publish.maven.tasks

## Class PublishToMavenLocal

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.publish.maven.tasks.PublishToMavenRepository
      - - org.gradle.api.publish.maven.tasks.PublishToMavenLocal

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, org.gradle.util.Configurable<Task>

      @Incubating
      public class PublishToMavenLocal
      extends PublishToMavenRepository

  Publishes a `MavenPublication` to the Maven Local repository.
  Since:
    1.4

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PublishToMavenLocal()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doPublish(org.gradle.api.publish.maven.internal.publication.MavenPublicationInternal publication, MavenArtifactRepository repository)`
    `protected org.gradle.api.internal.artifacts.BaseRepositoryFactory` | `getBaseRepositoryFactory()`
    `MavenArtifactRepository` | `getRepository()` The repository to publish to.

    - ### Methods inherited from class org.gradle.api.publish.maven.tasks.PublishToMavenRepository

      `getLoggingManagerFactory, getPublication, publish, setPublication, setRepository`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doLast, doLast, execute, executeWithoutThrowingTaskFailure, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, leftShift, mustRunAfter, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setName, setOnlyIf, setOnlyIf, setProject, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PublishToMavenLocal

          public PublishToMavenLocal()

  - ### Method Detail

    - #### getBaseRepositoryFactory

          @Inject
          protected org.gradle.api.internal.artifacts.BaseRepositoryFactory getBaseRepositoryFactory()

    - #### getRepository

          public MavenArtifactRepository getRepository()

      Description copied from class: `PublishToMavenRepository`
      The repository to publish to.
      Overrides:
        `getRepository` in class `PublishToMavenRepository`
      Returns:
        The repository to publish to

    - #### doPublish

          protected void doPublish(org.gradle.api.publish.maven.internal.publication.MavenPublicationInternal publication,
                       MavenArtifactRepository repository)

      Overrides:
        `doPublish` in class `PublishToMavenRepository`